package gov.va.med.esr.common.model.comms;

import java.math.BigDecimal;
import java.util.Date;

import gov.va.med.fw.model.AbstractKeyedEntity;
/*
 * @author VHADMAHAGADORNB
 */
public class DocumentAccessLog extends AbstractKeyedEntity{
	
	private static final long serialVersionUID = -4207672233209824085L;
	
	private BigDecimal fileId = null;

	private FileInfo fileInfo = null;
	
	private Date accessDate = null;
	
	private String accessedBy = null;

	public Date getAccessDate() {
		return accessDate;
	}

	public void setAccessDate(Date accessDate) {
		this.accessDate = accessDate;
	}

	public String getAccessedBy() {
		return accessedBy;
	}

	public void setAccessedBy(String accessedBy) {
		this.accessedBy = accessedBy;
	}

	public BigDecimal getFileId() {
		return fileId;
	}

	public void setFileId(BigDecimal fileId) {
		this.fileId = fileId;
	}

	public FileInfo getFileInfo() {
		return fileInfo;
	}

	public void setFileInfo(FileInfo fileInfo) {
    validateOwner(this.fileInfo, fileInfo);
		this.fileInfo = fileInfo;
	}
	
	
}
